## pkg-config 0.26

=== debian/changelog ===
pkg-config (0.26-1ubuntu4) saucy; urgency=low

  * debian/rules: Set GCC and PKG_CONFIG for cross builds.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Jul 2013 19:58:59 +0200

pkg-config (0.26-1ubuntu3) raring; urgency=low

  * Apply upstream patch from Michał Sawicz to allow ~ through unescaped.
  * Trivially convert to 3.0 (quilt) and dh-autoreconf to help apply the
    above patch.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Mar 2013 15:21:34 +0000

pkg-config (0.26-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 08:38:49 +0100

pkg-config (0.26-1ubuntu1) oneiric; urgency=low

  * debian/pkg-config-crosswrapper: fix to use PKG_CONFIG_PATH pointed to
    both the multiarch path and the traditional cross-build path, instead of
    just settting PKG_CONFIG_LIBDIR to the traditional cross-compiler path,
    so that we can use this successfully in a multiarch environment.
    Closes: #631275.
  * debian/control: mark pkg-config Multi-Arch: foreign; it provides an
    executable interface which points to architecture-dependent paths, but
    those paths only need to be overridden in a cross-build environment, in
    which case it's the responsibility of the cross-toolchain packages to
    provide the appropriate glue.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Jul 2011 16:24:53 -0700

pkg-config (0.26-1) unstable; urgency=low

  * New upstream release
    - Updated usage message.  Closes: #389066
    - Fixes old bug.  Closes: #475031
    - Allows PKG_CONFIG_LIBDIR.  Closes: #398901
    - Man page documents how to get the default search path.  
      Closes: #576320
  * Switch to multiarch paths.  Thanks to Steve Langasek for the patch.
    Closes: #590992
  * Strip out multiarch library paths.  Closes: #482884
  * Drop a cross wrapper into /usr/share.  Thanks to Wookey for the
    implementation.   Closes: #217902
  * Re-add two missing lines in Changelog which were accidentially
    removed.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 15 May 2011 14:37:09 +0200

pkg-config (0.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * pkg.m4: Apply commit 2b86e9b from upstream, to fix compatibility with
    autoconf (>= 2.66). (Closes: #591547)

 -- Tim Retout <diocles@debian.org>  Sun, 03 Oct 2010 17:13:29 +0100

pkg-config (0.25-1) unstable; urgency=low

  * New upstream release
    - Stops escaping = and : in output.  Closes: #582995
  * Build with external libpopt.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 28 May 2010 18:16:36 +0200

pkg-config (0.24-1) unstable; urgency=low

  * New upstream release. closes: #476947
    - Marks PKG_CONFIG_PATH and PKG_CONFIG_LIBDIR as precious.  
      Closes: #398901
    - Give the ability to log, closes: #528240
    - Adds description of Requires.Private to man page.  Closes: #341977
    - Fixes man page formatting.  Closes: #398434
  * Add ${misc:Depends} to control
  * Bump debhelper version to 7, switch to dh
  * Add homepage field to control
  * Update Standards-Version field to 3.8.4.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 23 May 2010 23:38:20 +0200

pkg-config (0.22-1) unstable; urgency=low

  * New upstream release
    - Make Requires.private a whole lot more useful by traversing the
      whole tree, not just the top-level, for Cflags.  Closes: #390132
    - Add support for using the system glib.
  * Build using system glib.
  * Add _GNU_SOURCE to the list of defines to make strsignal appear.
    Closes: #316384
  * Remove suggests for libgnome-dev.  Closes: #405901

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 18 Jun 2007 23:38:59 +0200

pkg-config (0.21-1) unstable; urgency=low

  * New upstream release
    - Adds internal pkg-config package.  (closes: #254289)
    - Supports escaping $ rather than %.  (closes: #378570)
    - Always adds all cflags.  (closes: #340904)
  * Includes full NEWS file.  (closes: #334896)
  * Remove libglib2.0-dev build-deps.  (closes: #350176)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 16 Aug 2006 21:11:21 +0200

pkg-config (0.20-1) unstable; urgency=low

  * New upstream release
    - Fixes segfault with --help and gcc4 (closes: #321961)
    - New pkg.m4 uses --short-errors and spits out a more sensible error
      when some dependencies aren't found.  (closes: #321970)
  * Install upstream ChangeLog (closes: #318718)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 17 Oct 2005 07:47:58 +0200

pkg-config (0.19-1) unstable; urgency=low

  * New upstream release

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 16 Jul 2005 12:26:33 +0200

pkg-config (0.18.1-1) unstable; urgency=low

  * New upstream release
    - Fix brown bag bug where pkg.m4 always set pkg_failed to
    untried. (closes: #316181)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 29 Jun 2005 12:58:21 +0200

pkgconfig (0.18-1) unstable; urgency=low

  * New upstream release
    - Fixes PKG_CONFIG_LIBDIR again. (closes: #313004)
    - Includes documentation on the fact that the first check for
      PKG_CHECK_MODULES must not be conditional.  (closes: #303211)
    - Only links with public libraries now.  (closes: #229980)
  * Remove --no-indirect-deps to configure.

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 27 Jun 2005 23:07:03 +0200

pkgconfig (0.17.2-1) unstable; urgency=low

  * New upstream release, no Debian-related changes.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 17 Apr 2005 13:23:59 +0200

pkgconfig (0.17.1-1) unstable; urgency=low

  * New upstream release

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 12 Apr 2005 23:12:48 +0200

pkgconfig (0.17-1) unstable; urgency=low

  * New upstream release
    - evaluate second argument again (closes: #303969)
  * pass --disable-indirect-deps to configure for now.  This'll change
    post-sarge, but we don't want to introduce breakage now.
  * lowercase first letter in description to shut up lintian
  

